Get all mapping versions
curl --request GET \
--url https://api.quiva.ai/gateway/mapping-version/all \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.quiva.ai/gateway/mapping-version/all"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.quiva.ai/gateway/mapping-version/all', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"body": {
"results": [
{
"subject": "ms.gateway.abc123.mapping-version.get.api.users.1",
"resource_type": "function",
"resource": "user-service.getUsers",
"resource_version": "latest",
"active": true,
"description": "Version 1",
"version": 1,
"modified": 1713531894,
"type": "created"
},
{
"subject": "ms.gateway.def456.mapping-version.post.api.products.1",
"resource_type": "function",
"resource": "product-service.createProduct",
"resource_version": "latest",
"active": true,
"description": "Version 1",
"version": 1,
"modified": 1713532000,
"type": "created"
}
],
"results_total": 2
},
"metadata": {
"subject": "gateway.*.mapping-version.>"
}
}{
"error": "Invalid request parameters"
}Mapping Versions
Get all mapping versions
Retrieves a list of all available mapping versions.
GET
/
gateway
/
mapping-version
/
all
Get all mapping versions
⌘I